// +build go1.13

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
// Code generated by Microsoft (R) AutoRest Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is regenerated.

package armagfood

import "net/http"

// CheckNameAvailabilityResponseResponse is the response envelope for operations that return a CheckNameAvailabilityResponse type.
type CheckNameAvailabilityResponseResponse struct {
	// The check availability result.
	CheckNameAvailabilityResponse *CheckNameAvailabilityResponse

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response
}

// ExtensionListResponseResponse is the response envelope for operations that return a ExtensionListResponse type.
type ExtensionListResponseResponse struct {
	// Paged response contains list of requested objects and a URL link to get the next set of results.
	ExtensionListResponse *ExtensionListResponse

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response
}

// ExtensionResponse is the response envelope for operations that return a Extension type.
type ExtensionResponse struct {
	// Extension resource.
	Extension *Extension

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response
}

// FarmBeatsExtensionListResponseResponse is the response envelope for operations that return a FarmBeatsExtensionListResponse type.
type FarmBeatsExtensionListResponseResponse struct {
	// Paged response contains list of requested objects and a URL link to get the next set of results.
	FarmBeatsExtensionListResponse *FarmBeatsExtensionListResponse

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response
}

// FarmBeatsExtensionResponse is the response envelope for operations that return a FarmBeatsExtension type.
type FarmBeatsExtensionResponse struct {
	// FarmBeats extension resource.
	FarmBeatsExtension *FarmBeatsExtension

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response
}

// FarmBeatsListResponseResponse is the response envelope for operations that return a FarmBeatsListResponse type.
type FarmBeatsListResponseResponse struct {
	// Paged response contains list of requested objects and a URL link to get the next set of results.
	FarmBeatsListResponse *FarmBeatsListResponse

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response
}

// FarmBeatsResponse is the response envelope for operations that return a FarmBeats type.
type FarmBeatsResponse struct {
	// FarmBeats ARM Resource.
	FarmBeats *FarmBeats

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response
}

// OperationListResultResponse is the response envelope for operations that return a OperationListResult type.
type OperationListResultResponse struct {
	// A list of REST API operations supported by an Azure Resource Provider. It contains an URL link to get the next set of results.
	OperationListResult *OperationListResult

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response
}
