// +build go1.13

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
// Code generated by Microsoft (R) AutoRest Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is regenerated.

package armkeyvault

import (
	"context"
	"net/http"
	"time"
)

// CheckNameAvailabilityResultResponse is the response envelope for operations that return a CheckNameAvailabilityResult type.
type CheckNameAvailabilityResultResponse struct {
	// The CheckNameAvailability operation response.
	CheckNameAvailabilityResult *CheckNameAvailabilityResult

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response
}

// DeletedManagedHsmListResultResponse is the response envelope for operations that return a DeletedManagedHsmListResult type.
type DeletedManagedHsmListResultResponse struct {
	// List of deleted managed HSM Pools
	DeletedManagedHsmListResult *DeletedManagedHsmListResult

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response
}

// DeletedManagedHsmResponse is the response envelope for operations that return a DeletedManagedHsm type.
type DeletedManagedHsmResponse struct {
	DeletedManagedHsm *DeletedManagedHsm

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response
}

// DeletedVaultListResultResponse is the response envelope for operations that return a DeletedVaultListResult type.
type DeletedVaultListResultResponse struct {
	// List of vaults
	DeletedVaultListResult *DeletedVaultListResult

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response
}

// DeletedVaultResponse is the response envelope for operations that return a DeletedVault type.
type DeletedVaultResponse struct {
	// Deleted vault information with extended details.
	DeletedVault *DeletedVault

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response
}

// HTTPPollerResponse contains the asynchronous HTTP response from the call to the service endpoint.
type HTTPPollerResponse struct {
	// PollUntilDone will poll the service endpoint until a terminal state is reached or an error is received
	PollUntilDone func(ctx context.Context, frequency time.Duration) (*http.Response, error)

	// Poller contains an initialized poller.
	Poller HTTPPoller

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response
}

// MHSMPrivateEndpointConnectionPollerResponse is the response envelope for operations that asynchronously return a MHSMPrivateEndpointConnection type.
type MHSMPrivateEndpointConnectionPollerResponse struct {
	// PollUntilDone will poll the service endpoint until a terminal state is reached or an error is received
	PollUntilDone func(ctx context.Context, frequency time.Duration) (MHSMPrivateEndpointConnectionResponse, error)

	// Poller contains an initialized poller.
	Poller MHSMPrivateEndpointConnectionPoller

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response
}

// MHSMPrivateEndpointConnectionResponse is the response envelope for operations that return a MHSMPrivateEndpointConnection type.
type MHSMPrivateEndpointConnectionResponse struct {
	// AzureAsyncOperation contains the information returned from the Azure-AsyncOperation header response.
	AzureAsyncOperation *string

	// Private endpoint connection resource.
	MHSMPrivateEndpointConnection *MHSMPrivateEndpointConnection

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response

	// RetryAfter contains the information returned from the Retry-After header response.
	RetryAfter *int32
}

// MHSMPrivateEndpointConnectionsListResultResponse is the response envelope for operations that return a MHSMPrivateEndpointConnectionsListResult type.
type MHSMPrivateEndpointConnectionsListResultResponse struct {
	// List of private endpoint connections associated with a managed HSM Pools
	MHSMPrivateEndpointConnectionsListResult *MHSMPrivateEndpointConnectionsListResult

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response
}

// MHSMPrivateLinkResourceListResultResponse is the response envelope for operations that return a MHSMPrivateLinkResourceListResult type.
type MHSMPrivateLinkResourceListResultResponse struct {
	// A list of private link resources
	MHSMPrivateLinkResourceListResult *MHSMPrivateLinkResourceListResult

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response
}

// ManagedHsmListResultResponse is the response envelope for operations that return a ManagedHsmListResult type.
type ManagedHsmListResultResponse struct {
	// List of managed HSM Pools
	ManagedHsmListResult *ManagedHsmListResult

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response
}

// ManagedHsmPollerResponse is the response envelope for operations that asynchronously return a ManagedHsm type.
type ManagedHsmPollerResponse struct {
	// PollUntilDone will poll the service endpoint until a terminal state is reached or an error is received
	PollUntilDone func(ctx context.Context, frequency time.Duration) (ManagedHsmResponse, error)

	// Poller contains an initialized poller.
	Poller ManagedHsmPoller

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response
}

// ManagedHsmResponse is the response envelope for operations that return a ManagedHsm type.
type ManagedHsmResponse struct {
	// Resource information with extended details.
	ManagedHsm *ManagedHsm

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response
}

// OperationListResultResponse is the response envelope for operations that return a OperationListResult type.
type OperationListResultResponse struct {
	// Result of the request to list Storage operations. It contains a list of operations and a URL link to get the next set of results.
	OperationListResult *OperationListResult

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response
}

// PrivateEndpointConnectionListResultResponse is the response envelope for operations that return a PrivateEndpointConnectionListResult type.
type PrivateEndpointConnectionListResultResponse struct {
	// List of private endpoint connections.
	PrivateEndpointConnectionListResult *PrivateEndpointConnectionListResult

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response
}

// PrivateEndpointConnectionPollerResponse is the response envelope for operations that asynchronously return a PrivateEndpointConnection type.
type PrivateEndpointConnectionPollerResponse struct {
	// PollUntilDone will poll the service endpoint until a terminal state is reached or an error is received
	PollUntilDone func(ctx context.Context, frequency time.Duration) (PrivateEndpointConnectionResponse, error)

	// Poller contains an initialized poller.
	Poller PrivateEndpointConnectionPoller

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response
}

// PrivateEndpointConnectionResponse is the response envelope for operations that return a PrivateEndpointConnection type.
type PrivateEndpointConnectionResponse struct {
	// AzureAsyncOperation contains the information returned from the Azure-AsyncOperation header response.
	AzureAsyncOperation *string

	// Private endpoint connection resource.
	PrivateEndpointConnection *PrivateEndpointConnection

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response

	// RetryAfter contains the information returned from the Retry-After header response.
	RetryAfter *int32
}

// PrivateLinkResourceListResultResponse is the response envelope for operations that return a PrivateLinkResourceListResult type.
type PrivateLinkResourceListResultResponse struct {
	// A list of private link resources
	PrivateLinkResourceListResult *PrivateLinkResourceListResult

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response
}

// ResourceListResultResponse is the response envelope for operations that return a ResourceListResult type.
type ResourceListResultResponse struct {
	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response

	// List of vault resources.
	ResourceListResult *ResourceListResult
}

// SecretListResultResponse is the response envelope for operations that return a SecretListResult type.
type SecretListResultResponse struct {
	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response

	// List of secrets
	SecretListResult *SecretListResult
}

// SecretResponse is the response envelope for operations that return a Secret type.
type SecretResponse struct {
	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response

	// Resource information with extended details.
	Secret *Secret
}

// VaultAccessPolicyParametersResponse is the response envelope for operations that return a VaultAccessPolicyParameters type.
type VaultAccessPolicyParametersResponse struct {
	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response

	// Parameters for updating the access policy in a vault
	VaultAccessPolicyParameters *VaultAccessPolicyParameters
}

// VaultListResultResponse is the response envelope for operations that return a VaultListResult type.
type VaultListResultResponse struct {
	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response

	// List of vaults
	VaultListResult *VaultListResult
}

// VaultPollerResponse is the response envelope for operations that asynchronously return a Vault type.
type VaultPollerResponse struct {
	// PollUntilDone will poll the service endpoint until a terminal state is reached or an error is received
	PollUntilDone func(ctx context.Context, frequency time.Duration) (VaultResponse, error)

	// Poller contains an initialized poller.
	Poller VaultPoller

	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response
}

// VaultResponse is the response envelope for operations that return a Vault type.
type VaultResponse struct {
	// RawResponse contains the underlying HTTP response.
	RawResponse *http.Response

	// Resource information with extended details.
	Vault *Vault
}
