// Package datacatalog implements the Azure ARM Datacatalog service API version 2016-03-30.
//
// The Azure Data Catalog management API provides a RESTful set of web services that interact with Azure Data Catalog
// services.
package datacatalog

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
//
// Code generated by Microsoft (R) AutoRest Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is regenerated.

import (
	"github.com/Azure/go-autorest/autorest"
)

const (
	// DefaultBaseURI is the default URI used for the service Datacatalog
	DefaultBaseURI = "https://management.azure.com"
)

// BaseClient is the base client for Datacatalog.
type BaseClient struct {
	autorest.Client
	BaseURI        string
	SubscriptionID string
	CatalogName    string
}

// New creates an instance of the BaseClient client.
func New(subscriptionID string, catalogName string) BaseClient {
	return NewWithBaseURI(DefaultBaseURI, subscriptionID, catalogName)
}

// NewWithBaseURI creates an instance of the BaseClient client using a custom endpoint.  Use this when interacting with
// an Azure cloud that uses a non-standard base URI (sovereign clouds, Azure stack).
func NewWithBaseURI(baseURI string, subscriptionID string, catalogName string) BaseClient {
	return BaseClient{
		Client:         autorest.NewClientWithUserAgent(UserAgent()),
		BaseURI:        baseURI,
		SubscriptionID: subscriptionID,
		CatalogName:    catalogName,
	}
}
