// Package alertsmanagement implements the Azure ARM Alertsmanagement service API version 2018-05-05-preview.
//
// AlertsManagement Client
package alertsmanagement

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
//
// Code generated by Microsoft (R) AutoRest Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is regenerated.

import (
	"github.com/Azure/go-autorest/autorest"
)

const (
	// DefaultBaseURI is the default URI used for the service Alertsmanagement
	DefaultBaseURI = "https://management.azure.com"
)

// BaseClient is the base client for Alertsmanagement.
type BaseClient struct {
	autorest.Client
	BaseURI         string
	SubscriptionID  string
	MonitorService1 MonitorService
}

// New creates an instance of the BaseClient client.
func New(subscriptionID string, monitorService1 MonitorService) BaseClient {
	return NewWithBaseURI(DefaultBaseURI, subscriptionID, monitorService1)
}

// NewWithBaseURI creates an instance of the BaseClient client using a custom endpoint.  Use this when interacting with
// an Azure cloud that uses a non-standard base URI (sovereign clouds, Azure stack).
func NewWithBaseURI(baseURI string, subscriptionID string, monitorService1 MonitorService) BaseClient {
	return BaseClient{
		Client:          autorest.NewClientWithUserAgent(UserAgent()),
		BaseURI:         baseURI,
		SubscriptionID:  subscriptionID,
		MonitorService1: monitorService1,
	}
}
